Update a tax rate
Renames, archives or restores a tax rate. The percentage and the inclusive setting cannot be changed.
Renames, archives or restores a tax rate. The percentage and the inclusive setting cannot be changed.
Authorization
api-key AuthorizationBearer <token>
API key for merchant integrations. Send as Authorization: Bearer <your key>.
In: header
Path Parameters
id*string
Tax rate ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/tax-rates/string" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "txr_3Nf8a2kLmPq9", "object": "tax_rate", "displayName": "VAT", "displayNameAr": "string", "percentage": 14, "inclusive": true, "description": "string", "active": true, "metadata": { "property1": null, "property2": null }, "merchantId": "string", "createdAt": "string", "updatedAt": "string"}